package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaQrcode;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * <p>
 * 二维码管理表 服务类
 * </p>
 *
 * @author fxf
 * @since 2020-05-20
 */
public interface ITaQrcodeService extends IService<TaQrcode> {

    ResponseBean listQrCodeByCondition(Integer pageNum, Integer pageSize, String targetType, String targetName, Integer channelId, String buildingId, Integer orgId);

    ResponseBean saveQrcode(TaQrcode taQrcode, Integer userId, Integer orgId);

    ResponseBean getStatisticData(Integer qrCodeId, Integer orgId);

    ResponseBean getStatisticRecord(Integer type, Integer pageNum, Integer pageSize, Integer qrCodeId, Integer orgId);

    void getStatisticRecordExport(Integer type, Integer qrCodeId, Integer orgId, HttpServletResponse response) throws IOException;
}
